*$ CREATE HISTIN.FOR
*COPY HISTIN
*
*=== HISTIN ===========================================================*
*
*The main attention in the case of the use of HBOOK is that it makes use 
*of REAL*4 variables, while the FLUKA environment is by default in double 
*precision (REAL*8). For our example we intend to book a simple disk-resident 
*ntupla opening the hbk.his file, having 9 variables: beam particle 
*progressive number (kkpart), occurrence of the beam particle (fluxtime), 
*beam particle kinetic energy(enkin in GeV/A), the 3 coordinates (xi, yi, zi) 
*and the 3 direction cosines (costx, costy, costz) at boundary crossing of the 
*beam particle. 
*Notice that we have chosen to assign the logic unit 63 to the HBOOK 
*file. Any number larger than 30 is good, provided that it not already used by 
*the user himself for other scoring purposes.
C!------------------------------------------------------------
      SUBROUTINE HISTIN
C!------------------------------------------------------------
C     
C     HBOOK HISTOGRAM BOOKING
C
      INCLUDE '(DIMPAR)'
      INCLUDE '(CTITLE)'
      PARAMETER (NWPAWC = 200000)

c-------------------------------------------------------
      PARAMETER (NNTUPLE=10) ! in source
c      PARAMETER (NNTUPLE=6) ! in usrmed
c      PARAMETER (NNTUPLE1=8) ! in mgdraw (bxdraw)
c--------------------------------------------------------
      COMMON/PAWC/HMEMOR(NWPAWC)
      REAL*4 HMEMOR
      COMMON/QUEST/IQUEST(100)
c--------------------------------------------------------
      CHARACTER*8 CHTAG(NNTUPLE)   ! in source
      DATA CHTAG /'KKPART' ,'TIME' ,'ENKIN'  ,'XI', 'YI', 'ZI',
     $     'COSTX', 'COSTY', 'COSTZ', 'FLRNDM'/
c
c      CHARACTER*8 CHTAG(NNTUPLE)   ! in usrmed
c      DATA CHTAG /'KKOLD','IQEV','TIMEOLD','IQTOLD','LNET','LEFF'/
c
c      CHARACTER*8 CHTAG1(NNTUPLE1) ! in mgdraw (bxdraw)
c      DATA CHTAG1 /'JTRACK','AMJTRACK','ETRACK','QIN','QOUT',
c     $'KKBEAM','ENKIN','TIME'/
c--------------------------------------------------------
      WRITE(*,*) 'ENTER IN HIST INIT.'
      ITSAV = ITEXPI
      IQUEST(10)=65000
      call hlimit(NWPAWC)
C-------------------
      NLUNI1 = 63                   ! in source
      CALL HROPEN(NLUNI1, 'Protons',
     &  'hbk.his','N',
     &  1024,ISTAT)
      WRITE(*,*) 'HROPEN: ISTAT=',ISTAT
c
c      NLUNI1 = 63                   ! in usrmed
c      CALL HROPEN(NLUNI1, 'Usrmed',
c     &  'usrmed.his','N',
c     &  1024,ISTAT)
c      WRITE(*,*) 'HROPEN: ISTAT=',ISTAT
c
c      NLUNI2 = 64                    ! in mgdraw (bxdraw)
c      CALL HROPEN(NLUNI2, 'Charge',
c     &  'charge.his','N',
c     &  1024,ISTAT)
c      WRITE(*,*) 'HROPEN: ISTAT=',ISTAT
c
c In source:
      CALL HBOOKN(100,'Protons',nntuple,'//Protons',nntuple*100,CHTAG)
c In usrmed:
c      CALL HBOOKN(100,'Usrmed',nntuple,'//Usrmed',nntuple*100,CHTAG)
c In mgdraw (bxdraw):
c      CALL HBOOKN(200,'Charge',nntuple1,'//Charge',nntuple1*300,CHTAG1)
C-------------------
      ITEXPI = ITSAV
      RETURN
      END
